/* Table of constant values */

static int c__6 = 6;
static int c__5 = 5;

int main(void)
{
    /* Initialized data */
    static float c__[30] /* was [6][5] */ = { 36.f,-630.f,3360.f,-7560.f,
            7560.f,-2772.f,-630.f,14700.f,-88200.f,211680.f,-220500.f,83160.f,
            3360.f,-88200.f,564480.f,-1411200.f,1.512e6f,-582120.f,-7560.f,
            211680.f,-1411200.f,3628800.f,-3.969e6f,1552320.f,7560.f,
            -220500.f,1.512e6f,-3.969e6f,4.41e6f,-1746360.f };
    static float d__[6] = { 463.f,-13860.f,97020.f,-258720.f,291060.f,
                           -116424.f };

    /* Local variables */
    extern int asp0d_c(double *, double *, double *, double *, int *,
                       int *, int *, int *);
    static double a[30] /* was [6][5] */, b[6];
    static int i__, j, p, s[5];
    static double t[6], x[5];

#define a_ref(a_1,a_2) a[(a_2)*6 + a_1 - 7]
#define c___ref(a_1,a_2) c__[(a_2)*6 + a_1 - 7]

    for (i__ = 1; i__ <= 6; ++i__) {
        for (j = 1; j <= 5; ++j) {
/* L20: */
            a_ref(i__, j) = c___ref(i__, j);
        }
    }
    for (i__ = 1; i__ <= 6; ++i__) {
/* L21: */
        b[i__ - 1] = d__[i__ - 1];
    }
    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %16.7e %16.7e %16.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
         printf("\n  %16.7e %16.7e \n",
                a_ref(i__, 4), a_ref(i__, 5));
    }
    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %16.7e \n", b[i__-1]);
    }
    p = 1;
    asp0d_c(a, b, x, t, s, &c__6, &c__5, &p);

    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %20.10e %20.10e %20.10e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
         printf("\n  %20.10e %20.10e \n",
                a_ref(i__, 4), a_ref(i__, 5));
    }
    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %24.14e \n", t[i__-1]);
    }
    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %24.14e \n", b[i__-1]);
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %24.14e \n", x[i__-1]);
    }
    printf("\n  %5i %5i %5i %5i %5i \n", s[0], s[1], s[2], s[3], s[4]);
    return 0;
} /* main */

#undef c___ref
#undef a_ref
